<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: listevents.xml 2282 2011-07-06 09:36:22Z geraintedwards $ --> 
<metadata>

	<layout title="COM_JEVENTS_DATE_RANGE_DEFAULT_TITLE">
		<help
			key = "COM_JEVENTS_DATE_RANGE_HELP"
		/>
		<message>
			<![CDATA[COM_JEVENTS_DATE_RANGE_DEFAULT_DESC]]>
		</message>
	</layout>

	<state>
		<name>JEvents</name>
		<description>Date Range List of Events</description>
		<params  addpath="/administrator/components/com_jevents/elements/">
			<param name="relative" type="radio" default='ABS'  label="Relative/Absolute Date Range" description="Should date range be relative to today of absolute dates.  You can also specify dates using the php function strtotime">
				<option value="abs">Absolute</option>
				<option value="rel">Relative</option>
				<option value="strtotime">strtotime</option>
			</param>
			<param name="@spacer" type="jevinfo" default='ABSOLUTE_DATE_RANGE'    label="" description="" />
			<param name='absstart' type='jevdate' default="" label='ABSOLUTE_START_DATE'  description="" />
			<param name='absend' type='jevdate' default="" label='ABSOLUTE_END_DATE'  description="" />

			<param name="@spacer" type="jevinfo" default='RELATIVE_DATE_RANGE'    label="" description="" />
			<param name='relstart' type='text' default="-1w" label='START_RELATIVE_TO_TODAY'  description="JEV_RELSTART_DESC" />
			<param name='relend' type='text' default="+1m" label='END_RELATIVE_TO_TODAY'  description="JEV_RELEND_DESC" />

			<param name="@spacer" type="jevinfo" default='STRTOTIME_DATE_RANGE'    label="" description="" />
			<param name='strstart' type='text' default='YESTERDAY'  label='STRTOTIME_START_DATE'  description="" />
			<param name='strend' type='text' default='TOMORROW'  label='STRTOTIME_END_DATE'  description="" />

			<param name="@spacer" type="spacer" default=""   label="" description="" />
		</params>
	</state>

	<!-- Add fields to the parameters object for the layout. -->
	<fields name="params" >

		<fieldset name="rangedatetime"  addfieldpath="/administrator/components/com_jevents/fields/" >
			<field name="relative" type="radio" default='ABS'  label="COM_JEVENTS_DATE_RANGE_RELATIVE_LABEL" description="COM_JEVENTS_DATE_RANGE_RELATIVE_DESC">
				<option value="abs">COM_JEVENTS_DATE_RANGE_RELATIVE_ABS</option>
				<option value="rel">COM_JEVENTS_DATE_RANGE_RELATIVE_REL</option>
				<option value="strtotime">COM_JEVENTS_DATE_RANGE_RELATIVE_STR</option>
			</field>
			<field name="@spacer1a" type="jevinfo" default="" label="" description="" />
			<field name="@spacer1" type="jevinfo" default="COM_JEVENTS_DATE_RANGE_ABS_LABEL" label="" description="" />
			<field name="absstart" type="calendar" default="" label="COM_JEVENTS_DATE_RANGE_ABS_START_LABEL" description="" format="%Y-%m-%d" />
			<field name="absend" type="calendar" default="" label="COM_JEVENTS_DATE_RANGE_ABS_END_LABEL" description="" format="%Y-%m-%d" />
			<field name="@spacer2a" type="jevinfo" default="" label="" description="" />
			<field name="@spacer2" type="jevinfo" default="COM_JEVENTS_DATE_RANGE_REL_LABEL" label="" description="" />
			<field name='relstart' type='text' default="-1w" label="COM_JEVENTS_DATE_RANGE_REL_START_LABEL" description="JEV_RELSTART_DESC" />
			<field name='relend' type='text' default="+1m" label="COM_JEVENTS_DATE_RANGE_REL_END_LABEL" description="JEV_RELEND_DESC" />
			<field name="@spacer3a" type="jevinfo" default="" label="" description="" />
			<field name="@spacer3" type="jevinfo" default="COM_JEVENTS_DATE_RANGE_STR_LABEL" label="" description="" />
			<field name='strstart' type='text' default='YESTERDAY'  label="COM_JEVENTS_DATE_RANGE_STR_START_LABEL" description="" />
			<field name='strend' type='text' default='TOMORROW'  label="COM_JEVENTS_DATE_RANGE_STR_END_LABEL" description="" />
		</fieldset>

		<fieldset name="basic"  addfieldpath="/administrator/components/com_jevents/fields/" >

			<field name="com_calUseIconic" type="list" default="1" label="JEV_ICONIC_NAVBAR" description="">
				<option value="0">JEV_NO</option>
				<option value="1">JEV_YES</option>
				<option value="-1">HIDE ALTOGETHER</option>
				<option value="2">ICONS WITHOUT NAVIGATION</option>
			</field>

			<field name="catid0" type="jevcategory"  default="0" extension="com_jevents" label="COM_JEVENTS_SPECIFIED_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_SPECIFIED_CATEGORY_DEFAULT_DESC" />
			<field name="catid1" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid2" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid3" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid4" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid5" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid6" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid7" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid8" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid9" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />
			<field name="catid10" type="jevcategory" default="0" extension="com_jevents" label="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_LABEL" description="COM_JEVENTS_ADDITIONAL_CATEGORY_DEFAULT_DESC" />

			<field name="extras0" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras1" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras2" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras3" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras4" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras5" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras6" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras7" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras8" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras9" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras10" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras11" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras12" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras13" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras14" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />
			<field name="extras15" type="jevextras" default="" label='ADDITIONAL_CONSTRAINTS'  description='ADDITIONAL_MENU_CONSTRAINTS_FROM_ADDONS'  />

			<field name="showyearpast" type="radio" default="1" label="JEV_SHOW_YEARPAST" description="JEV_SHOW_YEARPAST_TIP">
				<option value="0">JEV_NO</option>
				<option value="1">JEV_YES</option>
			</field>

			<field name="@spacer" type="jevinfo"  default='ADVANCED_SETTINGS'  label="" description="" />
			<field name="overridelayout" type="text" default="" label='OVERRIDE_LAYOUT'  description="OVERRIDE_LAYOUT_DESC"/>
		</fieldset>
	</fields>
</metadata>